### Method

# Soup Session send_and_read_finish

#### Declaration [src]

    GBytes*
    soup_session_send_and_read_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the response to a `soup_session_send_and_read_async()`.

If successful, returns a `GBytes` with the response body.

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` passed to your callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GBytes`
| A `GBytes`, or `NULL` on error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.